Bug 627699 - [abrt] gedit-1:2.30.2-1.fc13: raise: Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
[abrt] gedit-1:2.30.2-1.fc13: raise: Process /usr/bin/gedit was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:6801ec0a954cf083cb7e1203738...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 13:30 EDT by dobs
Modified: 2011-06-28 09:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 09:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.06 KB, text/plain)
2010-08-26 13:31 EDT, dobs
no flags Details

  None (edit)
Description dobs 2010-08-26 13:30:58 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: gedit
component: gedit
crash_function: raise
executable: /usr/bin/gedit
kernel: 2.6.33.8-149.fc13.x86_64
package: gedit-1:2.30.2-1.fc13
rating: 4
reason: Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1282842180
uid: 500

How to reproduce
-----
1. Open file wm.txt
2. Open other file, with same name (wm.txt) on other dir...
3. Have bug
Comment 1 dobs 2010-08-26 13:31:00 EDT
Created an attachment (id=441288)
File: backtrace
Comment 2 Gahn Hye Nun 2010-09-13 17:55:19 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. copy some chinese text from fireforx
2. in gnome-terminal, type gedit to new a file, and paste the text into it.
3. save the file in chinese name under home directory and crash
4. BUT THE CRASH ONLY HAPPENED ONCE IN SPITE OF MY EFFORT TO REPRODUCE IT.

Comment
-----
following is trace and dump printed onto gnome-terminal, in hope of usefulness.

*** glibc detected *** gedit: free(): invalid pointer: 0x0000000002002590 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3ada875676]
/usr/lib64/libgtk-x11-2.0.so.0[0x35743007b7]
/lib64/libgobject-2.0.so.0(g_object_unref+0x174)[0x3add00d954]
/usr/lib64/libgtk-x11-2.0.so.0[0x35742e51a9]
/usr/lib64/libgtk-x11-2.0.so.0[0x35742f4316]
/lib64/libgobject-2.0.so.0(g_object_unref+0x174)[0x3add00d954]
/usr/lib64/libgtk-x11-2.0.so.0[0x3574285c73]
/usr/lib64/libgtk-x11-2.0.so.0[0x35742bdc21]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0xa9)[0x3add00b8d9]
/lib64/libgobject-2.0.so.0[0x3add01f7cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x7e6)[0x3add020de6]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/usr/lib64/libgtk-x11-2.0.so.0[0x357437b0ce]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x3add00dd60]
/usr/lib64/libgtk-x11-2.0.so.0[0x3574285c73]
/usr/lib64/libgtk-x11-2.0.so.0[0x35742bdc21]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0xa9)[0x3add00b8d9]
/lib64/libgobject-2.0.so.0[0x3add01f7cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x7e6)[0x3add020de6]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/usr/lib64/libgtk-x11-2.0.so.0[0x357437b0ce]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x3add00dd60]
/usr/lib64/libgtk-x11-2.0.so.0[0x35742bdc21]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x15e)[0x3add00b98e]
/lib64/libgobject-2.0.so.0[0x3add01f7cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x7e6)[0x3add020de6]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/usr/lib64/libgtk-x11-2.0.so.0[0x357437b0ce]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x3add00dd60]
gedit[0x42b584]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x15e)[0x3add00b98e]
/lib64/libgobject-2.0.so.0[0x3add01f947]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x7e6)[0x3add020de6]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x15e)[0x3add00b98e]
/lib64/libgobject-2.0.so.0[0x3add01f947]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x7e6)[0x3add020de6]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/usr/lib64/libgtk-x11-2.0.so.0[0x357428f5fd]
/usr/lib64/libgtk-x11-2.0.so.0[0x3574351003]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x15e)[0x3add00b98e]
/lib64/libgobject-2.0.so.0[0x3add01f59c]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x629)[0x3add020c29]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3add0213a3]
/usr/lib64/libgtk-x11-2.0.so.0[0x357448190f]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_propagate_event+0x176)[0x3574347e16]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2fb)[0x3574348f2b]
/usr/lib64/libgdk-x11-2.0.so.0[0x3574a6039c]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1f2)[0x3adc03bd02]
/lib64/libglib-2.0.so.0[0x3adc03fae8]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x195)[0x3adc03fff5]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x35743493c7]
gedit(main+0x445)[0x428585]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3ada81ec5d]
gedit[0x4279a9]
======= Memory map: ========
00400000-004a4000 r-xp 00000000 08:03 4724238                            /usr/bin/gedit
006a4000-006b6000 rw-p 000a4000 08:03 4724238                            /usr/bin/gedit
0194e000-0209d000 rw-p 00000000 00:00 0                                  [heap]
30ace00000-30ace11000 r-xp 00000000 08:03 4725159                        /usr/lib64/libXext.so.6.4.0
30ace11000-30ad011000 ---p 00011000 08:03 4725159                        /usr/lib64/libXext.so.6.4.0
30ad011000-30ad012000 rw-p 00011000 08:03 4725159                        /usr/lib64/libXext.so.6.4.0
30ad600000-30ad602000 r-xp 00000000 08:03 4729843                        /usr/lib64/libXinerama.so.1.0.0
30ad602000-30ad801000 ---p 00002000 08:03 4729843                        /usr/lib64/libXinerama.so.1.0.0
30ad801000-30ad802000 rw-p 00001000 08:03 4729843                        /usr/lib64/libXinerama.so.1.0.0
30ada00000-30ada08000 r-xp 00000000 08:03 4729850                        /usr/lib64/libXrandr.so.2.2.0
30ada08000-30adc07000 ---p 00008000 08:03 4729850                        /usr/lib64/libXrandr.so.2.2.0
30adc07000-30adc08000 rw-p 00007000 08:03 4729850                        /usr/lib64/libXrandr.so.2.2.0
30ade00000-30ade02000 r-xp 00000000 08:03 4729851                        /usr/lib64/libXcomposite.so.1.0.0
30ade02000-30ae001000 ---p 00002000 08:03 4729851                        /usr/lib64/libXcomposite.so.1.0.0
30ae001000-30ae002000 rw-p 00001000 08:03 4729851                        /usr/lib64/libXcomposite.so.1.0.0
3573600000-357361d000 r-xp 00000000 08:03 10617205                       /lib64/libselinux.so.1
357361d000-357381c000 ---p 0001d000 08:03 10617205                       /lib64/libselinux.so.1
357381c000-357381d000 r--p 0001c000 08:03 10617205                       /lib64/libselinux.so.1
357381d000-357381e000 rw-p 0001d000 08:03 10617205                       /lib64/libselinux.so.1
357381e000-357381f000 rw-p 00000000 00:00 0 
3573a00000-3573ab0000 r-xp 00000000 08:03 10617243                       /lib64/libgio-2.0.so.0.2400.1
3573ab0000-3573cb0000 ---p 000b0000 08:03 10617243                       /lib64/libgio-2.0.so.0.2400.1
3573cb0000-3573cb3000 rw-p 000b0000 08:03 10617243                       /lib64/libgio-2.0.so.0.2400.1
3573cb3000-3573cb4000 rw-p 00000000 00:00 0 
3573e00000-3573e1f000 r-xp 00000000 08:03 4728704                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2000.1
3573e1f000-357401e000 ---p 0001f000 08:03 4728704                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2000.1
357401e000-357401f000 rw-p 0001e000 08:03 4728704                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2000.1
3574200000-357466c000 r-xp 00000000 08:03 4728930                        /usr/lib64/libgtk-x11-2.0.so.0.2000.1
357466c000-357486b000 ---p 0046c000 08:03 4728930                        /usr/lib64/libgtk-x11-2.0.so.0.2000.1
357486b000-3574876000 rw-p 0046b000 08:03 4728930                        /usr/lib64/libgtk-x11-2.0.so.0.2000.1
3574876000-3574878000 rw-p 00000000 00:00 0 
3574a00000-3574ab7000 r-xp 00000000 08:03 4728829                        /usr/lib64/libgdk-x11-2.0.so.0.2000.1
3574ab7000-3574cb7000 ---p 000b7000 08:03 4728829                        /usr/lib64/libgdk-x11-2.0.so.0.2000.1
3574cb7000-3574cbc000 rw-p 000b7000 08:03 4728829                        /usr/lib64/libgdk-x11-2.0.so.0.2000.1
3574e00000-3574e69000 r-xp 00000000 08:03 4735648                        /usr/lib64/libgtksourceview-2.0.so.0.0.0
3574e69000-3575069000 ---p 00069000 08:03 4735648                        /usr/lib64/libgtksourceview-2.0.so.0.0.0
3575069000-357506d000 rw-p 00069000 08:03 4735648                        /usr/lib64/libgtksourceview-2.0.so.0.0.0
3579400000-3579404000 r-xp 00000000 08:03 4779067                        /usr/lib64/libcanberra-gtk.so.0.1.6
3579404000-3579603000 ---p 00004000 08:03 4779067                        /usr/lib64/libcanberra-gtk.so.0.1.6
3579603000-3579604000 rw-p 00003000 08:03 4779067                        /usr/lib64/libcanberra-gtk.so.0.1.6
3867e00000-3867e0f000 r-xp 00000000 08:03 4737809                        /usr/lib64/libXi.so.6.1.0
3867e0f000-386800e000 ---p 0000f000 08:03 4737809                        /usr/lib64/libXi.so.6.1.0
386800e000-386800f000 rw-p 0000e000 08:03 4737809                        /usr/lib64/libXi.so.6.1.0
3868e00000-3868e04000 r-xp 00000000 08:03 10616893                       /lib64/libuuid.so.1.3.0
3868e04000-3869003000 ---p 00004000 08:03 10616893                       /lib64/libuuid.so.1.3.0
3869003000-3869004000 rw-p 00003000 08:03 10616893                       /lib64/libuuid.so.1.3.0
3869200000-3869207000 r-xp 00000000 08:03 4771211                        /usr/lib64/libSM.so.6.0.0
3869207000-3869407000 ---p 00007000 08:03 4771211                        /usr/lib64/libSM.so.6.0.0
3869407000-3869408000 rw-p 00007000 08:03 4771211                        /usr/lib64/libSM.so.6.0.0
386c400000-386c405000 r-xp 00000000 08:03 4729732                        /usr/lib64/libXtst.so.6.1.0
386c405000-386c605000 ---p 00005000 08:03 4729732                        /usr/lib64/libXtst.so.6.1.0Aborted (core dumped)
Comment 3 Bug Zapper 2011-06-01 06:19:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 09:54:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.